petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscGetFlops

Returns the number of flops used on this processor since the program began.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscGetFlops(PetscLogDouble *flops)

Not Collective

### Output Parameter

flops - number of floating point operations

### Notes

A global counter logs all PETSc flop counts. The user can use PetscLogFlops() to increment this counter to include flops for the application code.

### See Also

PetscTime(), PetscLogFlops()

### Level

intermediate

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages